Bug 1471801 - No information displayed on creation of scap content from CLI
No information displayed on creation of scap content from CLI
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Ondřej Pražák
Nikhil Kathole
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 09:14 EDT by Sanket Jagtap
Modified: 2018-02-21 12:12 EST (History)
6 users (show)

See Also:
Fixed In Version: foreman-openscap-0.7.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:12:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20606 None None None 2017-08-15 07:17 EDT

  None (edit)
Description Sanket Jagtap 2017-07-17 09:14:24 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Satellite 6.3.0 snap 7

How reproducible:
Always

Steps to Reproduce:
1.Create scap-content from cli
2.No information displayed regarding the created scap-content
3.

Actual results:
hammer -u admin -p pass --output=csv scap-content create --title="apple" --scap-file="/tmp/ssg-rhel6-ds.xml"
Message,Id,Name
Scap content successfully created,id,name


Expected results:
Actual ID and name should be printed of created scap-content

Additional info:
scap-content is created successfully
Comment 2 Brad Buckingham 2017-07-18 13:17:41 EDT
Sanket, is this a regression from 6.2?
Comment 3 Sanket Jagtap 2017-08-04 02:38:24 EDT
No, This is new feature for 6.3 , OSCAP CLI support
Comment 4 Ondřej Pražák 2017-08-15 07:17:39 EDT
Created redmine issue http://projects.theforeman.org/issues/20606 from this bug
Comment 5 pm-sat@redhat.com 2017-08-15 10:05:44 EDT
Upstream bug assigned to oprazak@redhat.com
Comment 6 pm-sat@redhat.com 2017-08-15 10:05:47 EDT
Upstream bug assigned to oprazak@redhat.com
Comment 7 pm-sat@redhat.com 2017-08-25 12:05:12 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20606 has been resolved.
Comment 8 Nikhil Kathole 2017-09-10 05:39:53 EDT
Hi,

While verifying, I found Message and ID info. Whether "Name" is expected?

#  hammer -u admin -p changeme --output=csv scap-content create --title="apple" --scap-file="ssg-rhel6-ds.xml"
Message,Id
Scap content successfully created,5
Comment 9 Ondřej Pražák 2017-09-11 02:18:35 EDT
Hi,
scap content does not have a name, it has a title instead. The output formatter checks for id and name attributes and displays them automatically. As soon as we make output formatter for csv look for title attribute, this will display title as well
Comment 10 Nikhil Kathole 2017-09-11 02:41:50 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 15

steps:

# hammer --output=csv -u admin -p changeme scap-content create --title="test" --scap-file="ssg-rhel6-ds.xml"
Message,Id
Scap content successfully created,18

Verifying this bug as notification and ID successfully displayed in output and will file another bug for addition of title in success notification.
Comment 11 Sanket Jagtap 2017-09-28 09:05:42 EDT
Tracking the Title for scap-content issue Separately https://bugzilla.redhat.com/show_bug.cgi?id=1496810
Comment 12 Bryan Kearney 2018-02-21 12:12:01 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.